# $Revision: 1.16 $, $Date: 2004/05/06 18:43:12 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (one test fails)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	IPC
%define	pnam	Run
Summary:	IPC::Run - system() and background procs w/ piping, redirs, ptys
Summary(pl):	IPC::Run - uruchamianie procesw z potokami, przekierowaniami i pseudoterminalami
Name:		perl-IPC-Run
Version:	0.78
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3ee9757db89822211eb710d6498e661d
BuildRequires:	perl-IO-Tty >= 1.00
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(IO::Pty)'

%description
IPC::Run allows you run and interact with child processes using files,
pipes, and pseudo-ttys. Both system()-style and scripted usages are
supported and may be mixed. Likewise, functional and OO API styles are
both supported and may be mixed.

Various redirection operators reminiscent of those seen on common Unix
and DOS command lines are provided.

%description -l pl
IPC::Run pozwala na uruchamianie i interakcj z procesami potomnymi
przy uyciu plikw, potokw, i pseudoterminali. Obsuguje zarwno
interfejs w stylu system(), jak i skryptowy; mona take je miesza.
Mona stosowa API obiektowe i/lub proceduralne.

Udostpniane s rne operatory przekierowania, podobne do spotykanych
w linii polece popularnych Uniksw i DOS-a.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/IPC/Run.pm
%dir %{perl_vendorlib}/IPC/Run
%{perl_vendorlib}/IPC/Run/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IPC-Run.spec,v $
Revision 1.16  2004/05/06 18:43:12  ankry
- fixed perl-devel BR

Revision 1.15  2004/03/14 17:37:39  adamg
- updated to 0.78

Revision 1.14  2003/11/01 01:07:30  qboosh
- updated to 0.77, added tests (disabled - one of them fails)

Revision 1.13  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.12  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.11  2003/08/18 08:08:52  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:43  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 19:37:17  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:39:27  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:33:59  ankry
- massive attack: change CPAN URLs

Revision 1.4  2003/02/05 16:18:43  ankry
- autoupdated to 0.75

Revision 1.3  2002/07/12 09:56:41  qboosh
- new %%doc and cosmetics

Revision 1.2  2002/07/11 08:29:24  depesz
- works

Revision 1.1  2002/07/11 08:22:59  depesz
- spec supplied by Radoslaw Zielinski
